/*
Copyright (C) 2011 Adam Retter <adam.retter@googlemail.com>

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/
var enrichmentUri = "http://localhost:8080/exist/rest/db/enrichment/process.xql";

$(document).ready(function(){
    bindEvents();
    
    var iframeHeight = ($(document).height() / 100) * 80;
    $("#content-iframe").height(iframeHeight);
});

function bindEvents() {
    
    $("#url-input").keyup(function(e) {
        if($('#url-input').val() != null && $('#url-input').val() != "") {
            if(e.keyCode == 13) {
                submitUrl();
            }
        }
    });
    
    $("#go-button").click(function(){
        submitUrl();
    });
};

function submitUrl() {
    var url = $("#url-input").val();
    if(url != null && url != " ") {
        var newLocation = enrichmentUri + "?_enr_url=" + escape(url);  
        
        $("#content-iframe").attr("src", newLocation);
    }
}